## ros-indigo-derived-object-msgs 2.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(derived_object_msgs)

find_package(catkin REQUIRED
  COMPONENTS
  message_generation
  std_msgs
  geometry_msgs
  shape_msgs
  radar_msgs
)

## Declare ROS messages and services
add_message_files(DIRECTORY msg FILES
  CipvTrack.msg
  LaneModels.msg
  Lane.msg
  ObjectArray.msg
  Object.msg
  ObjectWithCovarianceArray.msg
  ObjectWithCovariance.msg
  SolidPrimitiveWithCovariance.msg
)

## Generate added messages and services
generate_messages(DEPENDENCIES
  std_msgs
  geometry_msgs
  shape_msgs
  radar_msgs
)

## Declare a catkin package
catkin_package(CATKIN_DEPENDS
  message_runtime
  std_msgs
  geometry_msgs
  shape_msgs
  radar_msgs
)

=== debian/changelog ===
ros-indigo-derived-object-msgs (2.3.1-0trusty) trusty; urgency=high

  * Merge pull request #31 <https://github.com/astuff/astuff_sensor_msgs/issues/31> from astuff/maint/add_urls
  * Adding URLs to package.xml files.
  * Contributors: Daniel-Stanek, Joshua Whitley

 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Fri, 07 Dec 2018 06:00:00 -0000

ros-indigo-derived-object-msgs (2.3.0-0trusty) trusty; urgency=high



 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Thu, 04 Oct 2018 05:00:00 -0000

ros-indigo-derived-object-msgs (2.2.2-0trusty) trusty; urgency=high



 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Thu, 30 Aug 2018 05:00:00 -0000

ros-indigo-derived-object-msgs (2.2.1-0trusty) trusty; urgency=high

  * Renamed perception_msgs to derived_object_msgs for clarification.
  * Moving perception_msgs from platform_automation_msgs.
  * Contributors: Joe Buckner, Joshua Whitley

 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Wed, 08 Aug 2018 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-derived-object-msgs
Section: misc
Priority: extra
Maintainer: AutonomouStuff Software Development Team <software@autonomoustuff.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-radar-msgs, ros-indigo-shape-msgs, ros-indigo-std-msgs
Homepage: http://wiki.ros.org/derived_object_msgs
Standards-Version: 3.9.2

Package: ros-indigo-derived-object-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-radar-msgs, ros-indigo-shape-msgs, ros-indigo-std-msgs
Description: Abstracted Messages from Perception Modalities

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-derived-object-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
